/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: LBS.java,v 1.16.14.1 2000/10/19 17:59:06 jasona Exp $
 */





package com.lutris.appserver.server;

import java.util.Hashtable;
import com.lutris.appserver.server.*;
import com.lutris.appserver.server.session.SessionManager;
import com.lutris.appserver.server.sql.DatabaseManager;
import com.lutris.logging.*;

/**
 * The LBS class is provided for backwards compatability. The name of the
 * Enhydra project used to be the Lutris Business Server (LBS). Old code
 * might still refer to the LBS instead of using Enhydra, so we leave this
 * class around. All calls are simply passed through to the parent class
 * which is Enhydra.
 * 
 * @version	$Revision: 1.16.14.1 $
 * @author	Andy John
 * @since	LBS1.8
 */
public class LBS extends Enhydra {

    private LBS() {
    }

}
