/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: MonitorFrame.java,v 1.9.6.1 2000/10/19 17:59:08 jasona Exp $
 */






/* This file was created and edited with tabstops set to 8.
 * If you are using "vi" to edit this file, enter the command:
 * 
 *        :set ts=8
 *
 * to set the tabstops to 8.
 */
package com.lutris.appserver.admin.presentation.monitor.gui;


/*
 */
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class MonitorFrame
extends JFrame
{
    JApplet applet;


    MonitorFrame(JApplet newApplet)
    {
	applet = newApplet;

        getContentPane().setBackground(Color.lightGray);

        MonitorPanel monitorPanel = new MonitorPanel(applet);
        getContentPane().add(monitorPanel);

        pack();
    }


    public static void main(String args[])
    {
        if (args.length > 0)
        {
            System.out.println("Ain't no parameters for this program.");
            System.exit(1);
        }

        MonitorFrame frame = new MonitorFrame(null);

        frame.setVisible(true);
    }


    public static void startAsAnApplet(JApplet applet)
    {
        MonitorFrame frame = new MonitorFrame(applet);

        frame.setVisible(true);
    }
}
