/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: StarterJApplet.java,v 1.9.6.1 2000/10/19 17:59:08 jasona Exp $
 */






/* This file was created and edited with tabstops set to 8.
 * If you are using "vi" to edit this file, enter the command:
 * 
 *        :set ts=8
 *
 * to set the tabstops to 8.
 */
package com.lutris.appserver.admin.presentation.monitor.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * This is a JApplet to start the MonitorFrame class.
 */
public class StarterJApplet
extends JApplet
implements ActionListener
{
    JButton startButton;

    public void init()
    {
	System.out.println("Enter StarterJApplet.init");

        setBackground(Color.lightGray);
        startButton = new JButton("Start Monitor");
        startButton.addActionListener(this);
        startButton.setFont(new Font("SansSerif", Font.BOLD, 12));
        getContentPane().setLayout(new BorderLayout());
        getContentPane().add(startButton, BorderLayout.CENTER);
    }


    public void actionPerformed(ActionEvent actionEvent)
    {
	System.out.println("Button pushed.");
        MonitorFrame.startAsAnApplet(this);
    }
}
