package com.simscomputing.swing;

import java.awt.Component;

import javax.swing.JDesktopPane;
import javax.swing.JInternalFrame;

public class DesktopPane extends JDesktopPane {
  public Component addIfUnique(JInternalFrame internalFrame) {
    final JInternalFrame[] frames = getAllFrames();
    final int length = frames.length;
    final String title = internalFrame.getTitle();

    // see if this component's title already exists in the desktop
    for (int index = 0; index < length; ++index) {
      if (title.equals(frames[index].getTitle())) {
        return internalFrame;
      } // if
    } // for index

    // this new component's title is unique; add it
    add(internalFrame);

    return internalFrame;
  } // addIfUnique()
} // class DesktopPane
