/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.tool.codegen;

public interface Constants {

    //

    public final String CLIENT_SUFFIX = "-client";              // nores

    //

    public final String CONTENT_HTML = "text/html";             // nores
    public final String CONTENT_WML = "text/vnd.wap.wml";       // nores

    //

    public final String DIR_AT_PACKAGE_DIR_AT = "at_PACKAGE_DIR_at";    // nores
    public final String DIR_CODEGEN = "codegen";                // nores
    public final String DIR_INPUT = "input";                    // nores
    public final String DIR_LIB = "lib";                        // nores
    public final String DIR_MEDIA = "media";                    // nores
    public final String DIR_OUTPUT = "output";                  // nores
    public final String DIR_PRESENTATION = "presentation";      // nores
    public final String DIR_SRC = "src";                        // nores
    public final String DIR_TOOL = "tool";                      // nores
    public final String DIR_RESOURCES = "resources";            // nores

    //

    public final String FILE_BOOTSTRAP4_CONF = "bootstrap4.conf";       // nores
    public final String FILE_ENHYDRA_JAR = "enhydra.jar";       // nores
    public final String FILE_JAVA_POLICY = "java.policy";       // nores
    public final String FILE_MAKEFILE = "Makefile";             // nores
    public final String FILE_README_HTML = "readme.html";       // nores
    public final String FILE_START4_IN = "start4.in";           // nores

    //

    public final String SYS_JAVA_VERSION = "java.version";      // nores
    public final String SYS_JAVA_VENDOR = "java.vendor";        // nores
    public final String SYS_USER_HOME = "user.home";            // nores

    //

    public final String TYPE_CONF = "conf";                     // nores
    public final String TYPE_HTML = "html";                     // nores
    public final String TYPE_IN = "in";                         // nores
    public final String TYPE_JAVA = "java";                     // nores
    public final String TYPE_MK = "mk";                         // nores
    public final String TYPE_TEMPLATE = "template";             // nores
    public final String TYPE_WML = "wml";                       // nores

    //

    public final String TAB4 = "    ";
}

