/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: WMLGoElement.java,v 1.1.12.3 2000/12/04 01:26:00 markd Exp $
 */

/**
 * The interface is modeled after DOM1 Spec for HTML from W3C.
 * The DTD used in this DOM model is from 
 * http://www.wapforum.org/DTD/wml_1.1.xml
 */

package org.enhydra.wireless.wml.dom;

public interface WMLGoElement extends WMLElement {

  /** @deprecated use setSendReferer */
  public void setSendreferer(boolean newValue);

  /** @deprecated use getSendReferer */
  public boolean getSendreferer();

  public void setSendReferer(boolean newValue);

  public boolean getSendReferer();

  public void setAcceptCharset(String newValue);

  public String getAcceptCharset();

  public void setHref(String newValue);

  public String getHref();

  public void setMethod(String newValue);

  public String getMethod();

}
