/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: WMLDoElementImpl.java,v 1.1.12.2 2000/12/04 01:26:00 markd Exp $
 */
package org.enhydra.wireless.wml.dom.xerces;

import org.enhydra.wireless.wml.dom.WMLDoElement;

public class WMLDoElementImpl extends WMLElementImpl implements WMLDoElement {

  public WMLDoElementImpl (WMLDocumentImpl owner, String tagName) {
    super( owner, tagName);
  }

  public void setOptional(boolean newValue) {
    setAttribute("optional", newValue);
  }

  public boolean getOptional() {
    return getAttribute("optional", false);
  }

  public void setClassName(String newValue) {
    setAttribute("class", newValue);
  }

  public String getClassName() {
    return getAttribute("class");
  }

  public void setXmlLang(String newValue) {
    setAttribute("xml:lang", newValue);
  }

  public String getXmlLang() {
    return getAttribute("xml:lang");
  }

  public void setId(String newValue) {
    setAttribute("id", newValue);
  }

  public String getId() {
    return getAttribute("id");
  }

  public void setLabel(String newValue) {
    setAttribute("label", newValue);
  }

  public String getLabel() {
    return getAttribute("label");
  }

  public void setType(String newValue) {
    setAttribute("type", newValue);
  }

  public String getType() {
    return getAttribute("type");
  }

  public void setName(String newValue) {
    setAttribute("name", newValue);
  }

  public String getName() {
    return getAttribute("name");
  }

}
