/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id$
 */

package tests.org.enhydra.xml.io;

import org.enhydra.xml.io.*;
import org.apache.xerces.parsers.DOMParser;
import org.w3c.dom.Document;
import java.io.*;

//FIXME: not yet used or complete.

/**
 * Test class for WML special hacks:
 *   WMLTests xmlfile output
 */
public class WMLTests {
    /**
     * Parse the specified file.
     */
    private Document parse(String xmlFile) throws Exception {
        DOMParser parser = new DOMParser();
        parser.parse(xmlFile);
        return parser.getDocument();
    }

    /**
     * Parse and output.
     */
    private void test(String xmlFile,
                      String outFile) throws Exception {
        Document doc = parse(xmlFile);
        String encoding = "ASCII";
        OutputOptions oos = new OutputOptions();
        oos.setOmitEncoding(true);
        oos.setJavaEncoding(encoding);
        DOMFormatter domf = new DOMFormatter(oos);
        Writer out = new OutputStreamWriter(new FileOutputStream(outFile),
                                            encoding);
        domf.write(doc, out);
        out.close();
    }

    /**
     * Entry
     */
    public static void main(String args[]) {
        if (args.length != 2) {
            System.err.println("Error: wrong # args: WMLTests xmlfile output");
            System.exit(1);
        }
        try {
            WMLTests tester = new WMLTests();
            tester.test(args[0], args[1]);
        } catch (Exception except) {
            System.err.println("Error: " + except.toString());
            except.printStackTrace();
            System.exit(1);
        }
    }
}
