/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ErrorHandler.java,v 1.9.10.1 2000/10/19 17:59:06 jasona Exp $
 */




/*
 * Test presentation object error handler.
 */
package com.acme.gui.presObjs.ErrorPO1.level0.level1;

import com.acme.gui.presObjs.ErrorPO1.CommonErrorHander;
import com.lutris.appserver.server.httpPresentation.*;

public class ErrorHandler implements HttpPresentation {
    public void run(HttpPresentationComms comms) throws Exception {
        CommonErrorHander.handleTestError(comms, this);
    }
}
