--
-- The session table as it should be defined on Informix.
--
CREATE TABLE PersistentSession
(
    sessionKey VARCHAR(64) NOT NULL,
    isNew CHAR(1) DEFAULT "1" NOT NULL,
    timeCreated DECIMAL(19,0),
    timeLastUsed DECIMAL(19,0),
    timeExpires DECIMAL(19,0),
    maxIdleTime DECIMAL(19,0),
    maxNoUserIdleTime INTEGER,
    userName VARCHAR(255),
    data BYTE,
    PRIMARY KEY(sessionKey)
)
