/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: edir_isapi_memory.h,v 1.1.2.3.2.1 2000/10/19 17:59:07 jasona Exp $
 */

#ifndef __EDIR_MALLOC_ISAPI_H__
#define __EDIR_MALLOC_ISAPI_H__ 1
#ifdef __cplusplus
extern "C" {
#endif

extern BOOL   edir_isapi_memory_init();

extern HANDLE edir_isapi_memory_create_heap(DWORD options);

extern void   edir_isapi_memory_set_heap(HANDLE heap, DWORD options);

extern void   edir_isapi_memory_delete_heap();

#ifdef __cplusplus
} /* extern "C" */
#endif
#endif /* __EDIR_MALLOC_ISAPI_H__ */
