/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ConfEditorEntry.java,v 1.13.14.1 2000/10/19 17:59:08 jasona Exp $
 */





package com.lutris.appserver.admin.business;

import java.io.File;
import com.lutris.util.Config;
import com.lutris.util.ConfigFile;
import org.enhydra.servlet.servletManager.ServletStatus;


/**
 * A record used by the ConfEditor to keep a set of conf file settings.
 * No other class needs to know about this object.
 * There is one of these for each application being modified.
 *
 * @version	$Revision: 1.13.14.1 $
 * @author	Andy John
 */
public class ConfEditorEntry {

    protected boolean            configDirty;
    protected String             filename;
    protected File               file;
    protected ConfigFile         configFile;
    protected Config             config;

    protected boolean            statusDirty;
    protected ServletStatus      status;

    protected void ConfEditorEntry() {
        configDirty = false;

        statusDirty = false;


    }

}

