package com.simscomputing.testbed.gui;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/**
A file filter that displays Java class files only.

@author David Sims
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:35 $
*/
public class ClassFileFilter extends FileFilter {
  public boolean accept(File f) {
    return f.isDirectory() || f.getName().endsWith(".class");
  } // accept()
  
  public String getDescription() {
    return "Java Class Files (*.class)";
  } // getDescription()
} // class ClassFileFilter
