package com.simscomputing.testbed.gui;

import java.awt.*;

import javax.swing.*;

public class ConstrainedJLabel extends JLabel {
  private static final int HEIGHT = 50;

  public ConstrainedJLabel(String label) {
    super(label, JLabel.CENTER);
  } // constructor

  public Dimension getMaximumSize() {
    Dimension result = super.getMaximumSize();
    result.height = HEIGHT;

    return result;
  }

  public Dimension getPreferredSize() {
    Dimension result = super.getPreferredSize();
    result.height = HEIGHT;

    return result;
  }

  public Dimension getMinimumSize() {
    Dimension result = super.getMinimumSize();
    result.height = HEIGHT;

    return result;
  }
} // class ConstrainedJLabel
